%define origname Todo-Indicator

Name:		todo-indicator
Version:	0.5.0
Release:	%mkrel 1
Summary:	Appindicator for todo.txt-style todo lists
License:	GPLv3
Group:		Office
Url:		https://github.com/keithfancher/Todo-Indicator
Source0:	https://github.com/keithfancher/Todo-Indicator/archive/%{origname}-%{version}.tar.xz
Source1:	%name.desktop
Patch0:		%name-pclos-fixes.patch
Requires:	python-appindicator
Requires:	python-gobject
Requires:	python-pyinotify
Requires:	leafpad
Requires:	gtk+3.0
Requires:	lib64gtk+3_0
Requires:	lib64appindicator3_1
BuildArch:	noarch

%description
A simple appindicator for todo.txt-style todo lists.

%prep
%setup -qn %{origname}-%{version}
%patch0 -p1

%build
# nothing

%install
rm -rf %{buildroot}

install -Dpm 0755 todo_indicator.py %{buildroot}%{_bindir}/%name
install -Dpm 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/autostart/%name.desktop
install -Dpm 0755 todotxt/img/panel-icon-light.svg %{buildroot}%{_iconsdir}/ubuntu-mono-dark/apps/24/%name.svg
install -Dpm 0755 todotxt/img/panel-icon-light.svg %{buildroot}%{_iconsdir}/ubuntu-mono-dark/apps/22/%name.svg
install -Dpm 0755 todotxt/img/panel-icon-dark.svg %{buildroot}%{_iconsdir}/ubuntu-mono-light/apps/24/%name.svg
install -Dpm 0755 todotxt/img/panel-icon-dark.svg %{buildroot}%{_iconsdir}/ubuntu-mono-light/apps/22/%name.svg
install -Dpm 0755 todotxt/img/panel-icon-light.svg %{buildroot}%{_iconsdir}/hicolor/24x24/status/%name.svg
install -Dpm 0755 todotxt/img/panel-icon-light.svg %{buildroot}%{_iconsdir}/hicolor/22x22/status/%name.svg

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%doc LICENSE README.md THANKS
%{_sysconfdir}/xdg/autostart/%name.desktop
%{_bindir}/%{name}
%{_iconsdir}/*/*/*/%{name}*.*


%changelog
* Wed Jan 10 2018 Zen Subz <techars21 at gmail dot com> - 0.5.0-1pclos2018
- Imported fixes from WebUpd8 PPA
- Build for PCLinuxOS
